#pragma once
#include <iostream>
#include <Windows.h>
#include <stdio.h>
#include "drr.h"
#include "cuda_runtime.h"
#include "device_launch_parameters.h"
#pragma warning(disable:4996)
#pragma comment(lib,"WS2_32.lib")
using namespace std;



class socketManager
{
public:

	socketManager();
	~socketManager();
	void open_socket();
	void get_CUDAdrr(const char* path);
	float* get_FloatDRR(float rx, float ry, float rz, int dx, int dy, float threshold);
	unsigned char* get_UCharDRR(float rx, float ry, float rz, int dx, int dy, float threshold);
	float* handleString(char* szMessage, int ret);

private:
	int PORT;
	int MSGSIZE;
	char* CTpath;
	drr* rd;
	
};


